Bug 446464 - When searching, line numbers on status bar are hidden
Summary: When searching, line numbers on status bar are hidden
Status: RESOLVED FIXED
Alias: None
Product: frameworks-ktexteditor
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: 5.88.0
Platform: OpenSUSE Linux
: NOR wishlist
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-04 10:19 UTC by Aaron Williams
Modified: 2022-02-21 16:15 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 22.04


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aaron Williams 2021-12-04 10:19:31 UTC
SUMMARY
***
If I have a search ongoing and the search bar is shown at the bottom then the current line number and column is hidden. It would be useful if the line number did not disappear
***


STEPS TO REPRODUCE
1.  Open a source file in the editor
2.  Type ^F and enter a search term
3.  Move back into the editor

OBSERVED RESULT
The search toolbar hides the line number and column

EXPECTED RESULT
The line number and column should be visible when the editor is active

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 Sven Brauch 2021-12-04 10:39:10 UTC
Moving to KTextEditor, but I think it was a conscious decision for it to be like this and it's unlikely to be changed in response to a bug report.
Comment 2 Christoph Cullmann 2022-02-20 19:39:30 UTC
Git commit 4a00ff7bfb123a763d218a449250c300d2504575 by Christoph Cullmann, on behalf of Waqar Ahmed.
Committed on 20/02/2022 at 19:25.
Pushed by cullmann into branch 'master'.

Add viewbar widgets vertically rather than stacked

This means you can have multiple widgets active at the same time
- Find
- Command line
...
Related: bug 446720

M  +2    -2    src/view/kateview.cpp
M  +53   -60   src/view/kateviewhelpers.cpp
M  +6    -28   src/view/kateviewhelpers.h
M  +1    -1    src/view/kateviewinternal.cpp

https://invent.kde.org/frameworks/ktexteditor/commit/4a00ff7bfb123a763d218a449250c300d2504575
Comment 3 Nate Graham 2022-02-21 16:15:00 UTC
Very nice!